var request = require("request");
require("any-promise/register/q");
var rp = require("request-promise-any");
var _ = require("underscore");

/**
 * http连接请求客户端公用组件
 * @type {Object}
 */
var httpClient = {};
var DEFAULT_OPTIONS = {
  timeout:20*1000
}
/**
 * 获取json数据
 * @param  {[type]} options [description]
 * @return {[type]}         [json对象]
 */
httpClient.getJSON = function(options){
   options.json = true;
   return httpClient.request(options);
}
/**
 * 获取jsonp数据
 * @param  {[type]} options      [description]
 * @param  {[type]} callbackName [description]
 * @return {[type]}              [返回数据用jsonp回调函数获取]
 */
httpClient.getJSONP = function(options,callbackName){
  var options = options || {};
  var qs = options.qs||{};
  qs[callbackName] = "callback";
  options.qs = qs;
  var callback = function(data){
    return data;
  };
  return httpClient.request(options).then(function(res){
     var data = eval(res);
     return data;
   });
}
/**
 * request请求
 * @param  {[type]} options [description]
 * @return {[type]}         [description]
 */
httpClient.request = function(options){
  options = _.extend({},DEFAULT_OPTIONS,options);
  var success = function(data){return data};
  var err = function(err){
    console.error(options);
    console.error(err.message);
    throw err;
  };
  // if(options.method=="POST"){
  //   return rp(options).form().then(success.err);
  // }
  return rp(options).then(success,err);
}
module.exports = httpClient;
